Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 486680 - Review Request: chisholm-banana-peels-fonts - A Decorative Serif Font
Summary: Review Request: chisholm-banana-peels-fonts - A Decorative Serif Font
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-02-21 00:02 UTC by Joseph Smidt
Modified: 2011-05-26 17:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-15 04:00:22 UTC


Attachments (Terms of Use)

Description Joseph Smidt 2009-02-21 00:02:17 UTC
Spec URL: http://jsmidt.fedorapeople.org/chisholm-banana-peels-fonts.spec
SRPM URL: http://jsmidt.fedorapeople.org/chisholm-banana-peels-fonts-20090220-1.fc10.src.rpm
Description: 
Banana Peels is a decorative serif font where letters look like they are made
from banana peels.

rpmlint chisholm-banana-peels-fonts-20090220-1.fc10.noarch.rpm 
chisholm-banana-peels-fonts.noarch: W: no-documentation
chisholm-banana-peels-fonts.noarch: W: symlink-should-be-relative /etc/fonts/conf.d/61-chisholm-banana-peels.conf /usr/share/fontconfig/conf.avail/61-chisholm-banana-peels.conf
chisholm-banana-peels-fonts.noarch: W: incoherent-version-in-changelog 20090125-1 ['20090220-1.fc10', '20090220-1']
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 1 Nicolas Mailhot 2009-02-23 10:49:21 UTC
1. The official template evolved a little lately, please use
/etc/rpmdevtools/spectemplate-fonts-simple.spec
from fontpackages-devel ≥ 1.20 as target. Tools like meld can help you see the differences
(you can find latest fotpackages here if it has not hit a mirror next you yet
http://koji.fedoraproject.org/koji/packageinfo?packageID=7288 )

1.a replace your %define with %global

1.b. Drop this
# Do not trust font metadata versionning unless you've checked upstream does
# update versions on file changes. When in doubt use the timestamp of the most
# recent file as version.

1.c and drop this
%dir %{_fontdir}

2. The timestamp of the font file inside the zip you use as source is 20090125, please use it as version. What matters is when upstream created a file, not when you packaged it

3. The font name declared by the TTF is "Banana", that's what you need to use in your fontconfig file (OTOH a font named "Banana" with a "Peels" face/style is going to drive apps crazy, please ask upstream to rename the font to "Banana Peels" with a standard "book", "regular" or maybe "bold" face/style)

Comment 2 Ankur Sinha (FranciscoD) 2009-07-14 06:46:21 UTC
hi,

I see the bug has been inactive for quite sometime. I'd like to take over the font package.  Joseph, if you do not wish to continue with this review,can you please close this bug so I can start a fresh one. 

regards,

Ankur


Note You need to log in before you can comment on or make changes to this bug.